emacs-24.5-8.1.mga6.i586.rpm


Advertisement

Description

emacs - GNU Emacs text editor with X11 support

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package filename emacs-24.5-8.1.mga6.i586.rpm
Package name emacs
Package version 24.5
Package release 8.1.mga6
Package architecture i586
Package type rpm
Category Editors
Homepage http://www.gnu.org/software/emacs/
License GPLv3+
Maintainer -
Download size 2.51 MB
Installed size 8.47 MB
Emacs is a powerful, customizable, self-documenting, modeless text
editor. Emacs contains special code editing features, a scripting
language (elisp), and the capability to read mail, news, and more
without leaving the editor.
This package provides an emacs binary with support for X Windows.

Alternatives

Package Version Architecture Repository
emacs-24.5-8.4.mga6.i586.rpm 24.5 i586 Mageia Core Updates Testing
emacs-24.5-8.4.mga6.x86_64.rpm 24.5 x86_64 Mageia Core Updates Testing
emacs-24.5-8.3.mga6.i586.rpm 24.5 i586 Mageia Core Updates
emacs-24.5-8.3.mga6.x86_64.rpm 24.5 x86_64 Mageia Core Updates
emacs-24.5-8.1.mga6.x86_64.rpm 24.5 x86_64 Mageia Core Updates
emacs-24.5-8.mga6.i586.rpm 24.5 i586 Mageia Core
emacs-24.5-8.mga6.x86_64.rpm 24.5 x86_64 Mageia Core
emacs - - -

Requires

Name Value
emacs-common == 24.5
libMagickCore-6.Q16.so.4 -
libMagickWand-6.Q16.so.4 -
libX11.so.6 -
libXft.so.2 -
libXpm.so.4 -
libXrender.so.1 -
libacl.so.1 -
libacl.so.1(ACL_1.0) -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.10) -
libc.so.6(GLIBC_2.11) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.16) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.2.1) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.6) -
libc.so.6(GLIBC_2.7) -
libc.so.6(GLIBC_2.9) -
libcairo.so.2 -
libdbus-1.so.3 -
libdbus-1.so.3(LIBDBUS_1_3) -
libfontconfig.so.1 -
libfreetype.so.6 -
libgdk-3.so.0 -
libgdk_pixbuf-2.0.so.0 -
libgif.so.7 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgnutls.so.30 -
libgnutls.so.30(GNUTLS_3_4) -
libgobject-2.0.so.0 -
libgpm.so.2 -
libgtk-3.so.0 -
libjpeg.so.8 -
libjpeg.so.8(LIBJPEG_8.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm17n-core.so.0 -
libm17n-flt.so.0 -
libotf.so.0 -
libpango-1.0.so.0 -
libpng16.so.16 -
libpng16.so.16(PNG16_0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
librsvg-2.so.2 -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
libtiff.so.5 -
libtiff.so.5(LIBTIFF_4.0) -
libtinfo.so.6 -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.6.0) -
libz.so.1 -
update-alternatives -

Provides

Name Value
application() -
application(emacs.desktop) -
emacs == 24.5-8.1.mga6
emacs(x86-32) == 24.5-8.1.mga6
emacs-X11 == 24.5-8.1.mga6
emacs-bin == 24.5-8.1.mga6
emacs-gtk == 24.5-8.1.mga6
mimehandler(application/x-shellscript) -
mimehandler(text/english) -
mimehandler(text/plain) -
mimehandler(text/x-c) -
mimehandler(text/x-c++) -
mimehandler(text/x-c++hdr) -
mimehandler(text/x-c++src) -
mimehandler(text/x-chdr) -
mimehandler(text/x-csrc) -
mimehandler(text/x-java) -
mimehandler(text/x-makefile) -
mimehandler(text/x-moc) -
mimehandler(text/x-pascal) -
mimehandler(text/x-tcl) -
mimehandler(text/x-tex) -

Conflicts

Name Value
emacs-snapshot < 24.5-8.1.mga6

Obsoletes

Name Value
emacs-X11 < 22.0.50
emacs-gtk <= 22.3
xemacs < 21.4.22-28
xemacs-extras < 21.4.22-28
xemacs-mule < 21.4.22-28

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package emacs-24.5-8.1.mga6.i586.rpm
Source Package emacs-24.5-8.1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install emacs rpm package:
    # urpmi emacs

Files

Path
/usr/bin/emacs-24.5
/usr/share/applications/emacs.desktop
/usr/share/doc/emacs/COPYING
/usr/share/icons/hicolor/128x128/apps/emacs.png
/usr/share/icons/hicolor/16x16/apps/emacs.png
/usr/share/icons/hicolor/24x24/apps/emacs.png
/usr/share/icons/hicolor/32x32/apps/emacs.png
/usr/share/icons/hicolor/48x48/apps/emacs.png
/usr/share/icons/hicolor/scalable/apps/emacs.svg
/usr/share/icons/hicolor/scalable/mimetypes/emacs-document.svg

Changelog

2017-12-28 - luigiwalser <luigiwalser> 24.5-8.1.mga6
+ Revision: 1186818
- add patch from debian to fix CVE-2017-14482
2017-05-27 - shlomif <shlomif> 24.5-8.mga6
+ Revision: 1105214
- rebuild for new imagemagick lib-major
2016-12-31 - wally <wally> 24.5-7.mga6
+ Revision: 1078831
- fix rpm macros
2016-07-15 - eatdirt <eatdirt> 24.5-6.mga6
+ Revision: 1042174
- Fixing missing gtk3 icons (mga#18470)
2016-06-16 - tv <tv> 24.5-5.mga6
+ Revision: 1021697
- add emacs macros for rpm
2016-02-12 - marja <marja> 24.5-4.mga6
+ Revision: 959287
- re-add conflict, to ensure smooth upgrading
- get rid of some "unversioned-explicit-*" rpmlint warnings
o add = %{version}-%{release} where needed
o remove obs/prov for emacs-url
- fix macro in comment
- make emacs obsolete xemacs
2016-01-11 - luigiwalser <luigiwalser> 24.5-3.mga6
+ Revision: 921801
- rebuild for gnutls
2016-01-07 - luigiwalser <luigiwalser> 24.5-2.mga6
+ Revision: 920393
- rebuild for giflib
- add fix from opensuse to fix build with giflib5
2015-09-03 - luigiwalser <luigiwalser> 24.5-1.mga6
+ Revision: 872603
- reinstate leim (paths were wrong)
- drop leim subpackage as it is not building with 24.5
- build with acl support
- 24.5
- 24.4
- remove no longer needed patch 1 and patch 6
- rediff patch 100
- remove patch 112 (fixed upstream)
- remove upstream patches 150-153
2015-06-29 - tv <tv> 24.3-11.mga6
+ Revision: 847565
- s/old_makeinstall/makeinstall/

See Also

Package Description
emacs-common-24.5-8.1.mga6.i586.rpm Common files for GNU Emacs
emacs-common-24.5-8.3.mga6.i586.rpm Common files for GNU Emacs
emacs-doc-24.5-8.1.mga6.noarch.rpm GNU Emacs documentation
emacs-doc-24.5-8.3.mga6.noarch.rpm GNU Emacs documentation
emacs-el-24.5-8.1.mga6.noarch.rpm GNU Emacs Lisp source files
emacs-el-24.5-8.3.mga6.noarch.rpm GNU Emacs Lisp source files
emacs-erlang-18.3.2-9.1.mga6.noarch.rpm Compiled elisp files for erlang-mode under GNU Emacs
emacs-leim-24.5-8.1.mga6.noarch.rpm GNU Emacs Lisp code for international input methods
emacs-leim-24.5-8.3.mga6.noarch.rpm GNU Emacs Lisp code for international input methods
emacs-nox-24.5-8.1.mga6.i586.rpm GNU Emacs text editor without support for X11
emacs-nox-24.5-8.3.mga6.i586.rpm GNU Emacs text editor without support for X11
emacs-puppet-4.2.1-4.4.mga6.noarch.rpm Syntax highlighting for puppet manifests in emacs
emerald-0.8.14-1.mga6.i586.rpm Window Decorator for Compiz
endless-sky-0.9.8-1.mga6.i586.rpm A space exploration and combat game similar to Escape Velocity
endless-sky-data-0.9.8-1.mga6.noarch.rpm Data files for the Endless Sky game
Advertisement
Advertisement